[SM-Commit] GIT changes to master sorcery by Jaka Kranjc (38423f0741ea1182a9b1b274fe9e9715c3d79793)

Jaka Kranjc scm at sourcemage.org
Sat Aug 11 13:37:53 EDT 2007


GIT changes to master sorcery by Jaka Kranjc <lynxlynxlynx at sourcemage.org>:

 ChangeLog     |    1 +
 usr/sbin/gaze |    3 +++
 2 files changed, 4 insertions(+)

New commits:
commit 38423f0741ea1182a9b1b274fe9e9715c3d79793
Author: Jaka Kranjc <lynxlynxlynx at sourcemage.org>
Commit: Jaka Kranjc <lynxlynxlynx at sourcemage.org>

    fixed gaze newer breaking on bad input #10149

diff --git a/ChangeLog b/ChangeLog
index 416725e..f634edf 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -5,6 +5,7 @@
 	  codex_set_current_spell. This way fallbacks can be used there as well,
 	  which will among other things help a bit with #13883
 	* cleanse: fix md5sum check locale issue, patch from Thomas Orgis #13713
+	* gaze: fixed gaze newer breaking on bad input #10149
 
 2007-08-10 Jaka Kranjc <lynxlynxlynx at sourcemage.org>
 	* etc/sorcery/url: added default value for PERL_CPAN_URL #13673
diff --git a/usr/sbin/gaze b/usr/sbin/gaze
index bf11158..859f10e 100755
--- a/usr/sbin/gaze
+++ b/usr/sbin/gaze
@@ -520,6 +520,9 @@ function newer()  {
     COMPUTE='($3=="update") { a=a+1; if (a>1) { print $1 ; exit } }'
   elif [ x"$DATE" == x"last_cast" ]; then
     COMPUTE='($3 == "cast" && $6 == "success") { print $1 ; exit }'
+  elif ! date -d "$DATE" +%Y%m%d > /dev/null; then
+    help | $PAGER
+    exit 1
   fi
 
   if [ -n "$COMPUTE" ]; then



More information about the SM-Commit mailing list